MyslDenik.config([ '$routeProvider', '$locationProvider',
    function($routeProvider, $locationProvider) {
        $routeProvider

			.when('/mainView', {
					templateUrl : 'app/components/home/homeView.html',
					controller : 'homeController',
		        })
			.when('/', {
		            templateUrl : 'app/components/login/loginView.html',
		            controller : 'loginController'
		        })
            .when('/forgotpass', {
		            templateUrl : 'app/components/login/forgotPassView.html',
		            controller : 'forgotPassController'
		        })
            .when('/registration', {
		            templateUrl : 'app/components/login/registrationView.html',
		            controller : 'registrationController'
		        })
            .when('/shooting/members', {
		            templateUrl : 'app/components/information/members/membersView.html',
		            controller : 'membersController'
		        })
            .when('/shootingInfo', {
		            templateUrl : 'app/components/shooting/shootingInfo/shootingInfoView.html',
		            controller : 'shootingInfoController'
		        })
            .when('/shootingMap', {
		            templateUrl : 'app/components/shooting/shootingMap/shootingMapView.html',
		            controller : 'shootingMapController'
		        })
            .when('/shootingNew', {
		            templateUrl : 'app/components/shooting/addNew/addNewView.html',
		            controller : 'addNewShootingController'
		        })
            .when('/huntDates', {
		            templateUrl : 'app/components/information/huntDates/huntDatesView.html',
		            controller : 'huntDatesController'
		        })
			.when('/kynology', {
		            templateUrl : 'app/components/information/kynology/kynologyView.html',
		            controller : 'kynologyController'
		        })
            .when('/administration', {
		            templateUrl : 'app/components/administration/administrationView.html',
		            controller : 'administrationController'
		        })
			.when('/evidence/damages', {
		            templateUrl : 'app/components/evidence/damages/damageEvidenceView.html',
		            controller : 'damageEvidenceController'
		        })
			.when('/evidence/singleHunts', {
		            templateUrl : 'app/components/evidence/singleHunts/singleHuntsEvidenceView.html',
		            controller : 'singleHuntsEvidenceController'
		        })
			.when('/evidence/sharedHunts', {
		            templateUrl : 'app/components/evidence/sharedHunts/sharedHuntsEvidenceView.html',
		            controller : 'sharedHuntsEvidenceController'
		        })
			.when('/evidence/diseases', {
		            templateUrl : 'app/components/evidence/diseases/diseasesEvidenceView.html',
		            controller : 'diseasesEvidenceController'
		        })
			.when('/evidence/shooting', {
		            templateUrl : 'app/components/evidence/shooting/shootingEvidenceView.html',
		            controller : 'shootingEvidenceController'
		        })
			.when('/planspdf/:type', {
					templateUrl : 'app/components/plans/planspdfView.html',
					controller : 'planspdfController'
				})		
			.when('/plansFulfilPlans', {
					templateUrl : 'app/components/plans/monthlyFulfilPlans/fulfilPlansView.html',
					controller : 'fulfilPlansController'
				})				
            .otherwise({
              redirectTo : 'index.html'
            });

			$locationProvider.hashPrefix('');
        // $locationProvider.html5Mode(true); //Remove the '#' from URL.
    }
]);
