MyslDenik.controller("kynologyController", ["$http", "$rootScope", "$scope", "$location", function($http, $rootScope, $scope, $location) {

// Teriéři        
// Jezevčící      
// Retrívři a přinašeči
// Slídiči        
// Ohaři          
// Barváři        
// Honiči
   
    $scope.title = [];
    $scope.activeGroup = 0;
    $scope.mainText = [];
    $scope.dogs = [];
    $scope.kynoGroup = function(group) {
        $scope.activeGroup = group;
        $scope.$apply();
    }

    $scope.title.push('Teriéři');
    $scope.title.push('Jezevčíci');
    $scope.title.push('Retrívři a přinašeči');
    $scope.title.push('Slídiči');
    $scope.title.push('Ohaři');
    $scope.title.push('Barváři');
    $scope.title.push('Honiči');

    $scope.mainText.push('Teriéři jsou zařazeni dle systematiky FCI do 3. skupiny. Nejčastěji jsou využíváni v myslivosti, ale i jako domácí mazlíčci, hlídači a účastní se také kynologických sportovních aktivit. Teriéři jsou psi, kteří byli původně vyšlechtěni k lovu a pro myslivost. Využíváni jsou podobně jako jezevčíci hlavně k norování, lovům na černou, myslivosti škodící zvěř a dosledy. Jsou to dobří plavci, pro které není problém například aportovat kačenu z vody. Dnes existuje mnoho plemen teriérů a jen část se běžně v myslivosti využívá (Welsh teriér, Fox teriér, Bordur teriér, Erdel terriér..). Dříve se využívala k lovu různých druhů zvěře téměř všechna plemena. Dnes si některá plemena neumíme představit jinak, než na vodítku babičky ve městě, ale věřte, že jsou lidé, co tyto psi stále myslivecky využívají (např. Irský teriér). Tito psi mají vrozenou ostrost, houževnatost, dravost, ale jsou i chytří. Teriér se dobře učí povelům a jeho práce je o to efektivnější, skloubí-li se chytrost se sílou, vytrvalostí, obětavostí a přirozenou inteligencí, která je těmto psům vlastní.');
    $scope.mainText.push('Jezevčíci jsou zařazeni dle systematiky FCI do 4. skupiny, která je rozdělena na dalších devět plemen podle rázu (velikosti) a typu srsti. První zmínky o existenci tohoto plemene pocházejí ze starověkého Egypta. Je to tedy velice staré plemeno, které je až do dnešních dnů využíváno podobně jako tehdy. Jsou to velice svéhlaví psi, kteří se dají využít k práci jak na povrchu, tak v podzemí. Jezevčík, jakožto vnímavý pes se učí poměrně rychle a každý pes by měl zvládat základní povely. Může to někdy vypadat, že jezevčíci nedbají plynů vůdce, ale je to dáno tím, že byl vyšlechtěn k práci, při které se musí rozhodovat rychle a sám. V dnešní době je velmi rozšířený chov jezevčíka, jako domácího mazlíčka a hlídače. Naštěstí dominantně je stále využívají myslivci. V myslivecké kynologii se hlavně používá při naháňkách a nadháňkách a je skvělý pomocník při lovu nejen černé zvěře. Výhodou tohoto plemene je, jeho ostrost na zvěř, pomalejší postup v leči a často jsou tito psi i hlasití hlásiči. Výborná je také práce jezevčíků ve skupině. Norování, na které se jezevčík také používá, patří pro psa mezi nejnáročnější lovecké úkony. Pes pro výkon této práce musí být velmi dravý, zkušený, chytrý, ale je třeba i jistá dávka opatrnosti. Kdybychom se chtěli zaměřit na povahu jezevčíků, tak lze obecně říci, že nejmírnější jsou dlouhosrstí jezevčíci, drsnosrstý je o poznání ostřejší (bývá také v myslivosti nejčastěji využíván). Povaha psa je samozřejmě jako jinde individuální. Úplně původní typ jezevčíka byl krátkosrstý, černé barvy s hnědým pálením. Červeného zbarvení bylo dosaženo tím, že se začali křížit s německou brakou. Jezevčíci byli v minulosti kříženi s pinči, čímž se vyšlechtili trpasličí a králičí typy. A opravdu se dříve používali díky své velikosti k vyhánění králíků z nor.');
    $scope.mainText.push('Tito psi jsou zařazeni společně se slídiči a vodními psy dle systematiky FCI do 8. skupiny. Jsou to psi mírné povahy, kteří byli původně vyšlechtěni k přinášení ulovené zvěře. Psi jsou dobře ovladatelní, obětaví a pracovití. Svou mírností a učenlivostí vyniká Labradorský retrívr a Zlatý retrívr. Využití těchto psů v myslivosti není v současnosti tak velké, ale nacházejí uplatnění jako výborní asistenční a společenští psi. V tomto oboru postupně vytlačují německé ovčáky. Při lovu se drží  vždy blízko lovce a teprve na povel vyráží pro ulovenou zvěř. Jsou výborní plavci a pokud tuto svou vášeň můžou spojit s aportováním vodní zvěře, znamená to pro ně skvělé vyžití. Jsou také spolehliví dohledávači, což je jedna z disciplín u zkoušek OVVR (Ověření vrozených vlastností retrívrů). Dříve byli využíváni díky své síle a obratnosti i v rybářství, kde měli za úkol stahovat a vytahovat sítě z vody.');
    $scope.mainText.push('Tito psi jsou zařazeni společně s přinašeči a vodními psy dle systematiky FCI do 8. skupiny. Tito psi mají za úkol vyhledávat zvěř (slídit po ní) pouze na krátké vzdálenosti, což je přibližně dostřel brokovnice a vypíchnout ji. Poté, co ji lovec uloví, pes ji i aportuje. Je to plemeno, které umí zastat výkonově několik druhů loveckých psů. Jsou to povahově mírní, citliví, ale zároveň lovecky draví psi. ');
    $scope.mainText.push('Mezi nejrozšířenější plemena loveckých psů patří bezpochyby ohaři. V rámci systematiky FCI jsou zařazeni do sk. č. 7. (Ohaři) a jsou blízkými příbuznými s barváři a honiči. Ti se rozdělují na kontinentální a anglické. Kontinentální ohaři mají tři základní formy, jsou buď dlouhosrstí, krátkosrstí, nebo hrubosrstí. Často se jim také krátí pruty (kromě dlouhosrsté formy), ale v posledních letech se i od toho upouští. Angličtí ohaři jsou pouze dlouhosrstí, nebo krátkosrstí. Tento druh loveckých psů je využíván hlavně v honitbách, kde se vyskytuje drobná zvěř. Umí pracovat s vysokým nosem a po nalezení zvěře vystavují. Vystavování je jedním z typických znaků domestikace, spočívající v dědičně zafixovaném přerušení útoku na zvěř. Tuto vrozenou vlastnost je potřeba upevňovat výcvikem. U zkušených psů můžeme sledovat, jak umí na povel vůdce pomalu postupovat ke zvěři, kterou nakonec „vypíchne“. Toto chování je výhodné při lovu i pro vůdce psů, kteří jsou nejdříve na zvěř postojem psa upozornění, on se může přichystat k lovu, následně dá psovi povel „vpřed“ a vyhledanou zvěř uloví. Ohaři jsou právem nazýváni i všestrannými psy. Vesměs jsou dobře cvičitelní, mají vrozenou chuť k aportu, a proto jsou využíváni jak na vodě a poli, tak i při dosledech spárkaté zvěře. Jsou to psi s kohoutkovou výškou v průměru kolem 60 cm (záležá na plemeni) a jejich stavba těla jim bez problému umožňuje aportování ulovené zvěře, jako jsou hlavně zajíci, bažanti, kačeny a někteří psi i lišky.');
    $scope.mainText.push('Barváři jsou zařazeni společně s honiči dle systematiky FCI do 6. skupiny. Toto málo známé plemeno psů vyniká svým výborným čichem a používá se k dosledu zvěře spárkaté, černé, jelení, mufloní, daňčí. ');
    $scope.mainText.push('Honiči jsou zařazeni společně s barváři dle systematiky FCI do 6. skupiny. Plemena honičů patří k nejstarším ustáleným typům loveckých psů. Jak z hlediska jejich použití, tak tělesné stavby. Kohoutková výška honičů je v rozmezí 32 – 72cm a všechna plemena z této skupiny se využívají pouze k lovu srstnaté zvěře počínaje králíkem, konče velkými šelmami. Typ lovené zvěře záleží na velikosti plemene. Práce honičů spočívá ve vystopování zvěře (nejčastěji spárkaté, černé) a jejím nasměrování na lovce. Způsob práce jednotlivých plemen psů se liší, protože byli vyšlechtěni v různých koutech světa a kladly se na ně rozdílné požadavky, hlavně podle typu terénu a druhu lovené zvěře. Honič může pracovat například tak, že se snaží hnanou zvěř obrátit zpět na lovce, jiná plemena zvěř zadržují na místě a vyčkávají příchodu střeclů. Česká republika patří k několika málo zemím, které nemají vlastní plemeno honiče (nebyl zde rozmach parfosních lovů). Honiči mají v porovnání s nižšími psy, jako jsou jezevčíci a někteří teriéři velkou výhodu při pohybu v hlubokém sněhu. Jsou dostatečně rychlí, aby stihli zvěř za krátký čas dohnat a ta mohla být ulovena. Není tady proto daleké hnaní jaké známe u pomalejších plemen. Tito psi jsou dostatečně mrštní (i v mlazinách a nepřehledných terénech), rychlí, vytrvalí a silní. Dokáží dostatečně odhadnout sílu zvěře, aby se vyhnuli zranění. V takovém případě si drží dostatečný odstup. Naopak, když vycítí, že je kus slabší, nebo zraněný, dokáží ho i zadávit.');

    $scope.dogs.push('Americký Pit Bull teriér, Americký stafordširský teriér, Anglický bulteriér, Australský silky teriér, Australský teriér, Anglický toy – teriér, Bedlington teriér, Bordur teriér, Brazilský teriér, Bulteriér, Český teriér, Dandie dinmont teriér, Erdelteriér, Foxteriér drsnosrstý, Foxteriér hladkosrstý, Irish Glen of Imaal teriér, Irský jemnosrstý pšeničný teriér, Irský teriér, Irský soft coated wheaten teriér, Jack Russell teriér, Japonský teriér, Yorkšírský teriér, Kern teriér, Kerry blue teriér, Lakeland teriér, Manchester teriér, Německý lovecký teriér, Norfolk teriér, Norwich teriér, Parson Russell teriér, Sealyham teriér, Skotský teriér, Skye teriér, Stafordšírský bullteriér, Welsh teriér, West highland white teriér.');
    $scope.dogs.push('Jezevčík drsnosrstý standardní, Jezevčík hladkosrstý standardní, Jezevčík dlouhosrstý standardní, Jezevčík drsnosrstý trpasličí, Jezevčík hladkosrstý trpasličí, Jezevčík dlouhosrstý trpasličí, Jezevčík drsnosrstý králičí, Jezevčík hladkosrstý králičí, Jezevčík dlouhosrstý králičí');
    $scope.dogs.push('Curly coated retrívr, Flat coated retrívr, Chesapeake Bay retrívr, Labradorský retrívr,Nová Scotia duck tolling retrívr, Zlatý retrívr');
    $scope.dogs.push('Americký kokršpaněl, Anglický kokršpaněl, Anglický špringršpaněl, Clumber španěl, Feild španěl, Kooikerhondje, Sussex španěl, Německý křepelák, Welššpringršpaněl');
    $scope.dogs.push('Typ bravur (krátkosrstí):  Ariegský ohař, Auvergneský ohař, Burbonský perdiquero, Francouzský ohař gaskoňského typu, Francouzský ohař pyrenejského typu, Italský ohař, Maďarský ohař drátosrstý a krátkosrstý, Německý ohař drátosrstý a krátkosrstý, Portugalský pendiguero, Pudlpointr, Saint – Germainský ohař, Starodánský ohař, Výmarský ohař krátkosrstý. Typ španěl (dlouhosrstí): Bretaňský ohař, Drentsche koroptvář, Francouzský dlouhosrstý ohař, Malý müsterlandrský ohař, Modrý pikardský ohař, Německý ohař dlouhosrstý, Ohař z Pont – Audemer, Pikardský ohař, Pont – Odemerský ohař, Stabyhoun (fríský ohař), Velký müsterlandrský ohař. Typ friffon (hrubosrstí): Český fousek, Italský spinone, Spinone, Korthalsův triton, Slovenský ohař hrubosrstý. Angličtí ohaři: Anglický setr, Gordonsetr, Irský červenobílý setr, Irský setr, Pointer.');
    $scope.dogs.push('Bavorský barvář, Hannoverský barvář a Svatohubertský pes (Bloodhound)');
    $scope.dogs.push('Velcí honiči: Americký foxhound, Anglický foxhound, Ariégoiský honič, Billy, Blafl and tak coonhound, Bloodhound, Francouzský bíločerný honič, Francouzský bílooranžový honič, Francouzský trikolórní honič, Poitevin, Velký anglo-francouzský bíločerný honič, Velký anglo-francouzský bílooranžový honič, Velký anglo-francouzský trikolórní honič, Velký gaskoňsko-sainttongeoisský honič, Velký modrý gaskoňský honič, Velký griffon vendéenský honič, Vydrař (otterhound). Střední honiči: Anglo-francouzský honič de Petite Venerie, Ariégois, Artoissky honič, Bígl harrier, Bosenský hrubosrstý honič, Brandlův brakýř, Černohorský paninský honič, Dunker, Finský honič, Haldenův honič, Hamiltonův honič, Harrier, Hygenův honič, Hrubosrstý vendéeský honič – Briquet griffon vendéen, Istrijský hrubosrstý honič, Istrijský krátkosrstý honič, Italský segugio, Malý gaskoňsko-saintongeoisský honič, Malý modrý gaskoňský honič, Modrý gaskoňský honič, Nivernaisský (hrubosrstý) honič, Plavý bretaňský hrubosrstý honič, Polský honič, Porcelaine, Posávský honič, Řečký honič, Sedmihradský honič, Schillerův honič, Slovenský kopov, Smalandský honič, srbský honič, Srbský trikolórní honič, Španělský ssabueso, Štýrský brakýř, Švýcarský honič-bernský, luzernský, jurský, schwyzský honič, Tyrolský honič. Malí honiči: Artoiský basset, Baset, Bígl, Driver, Malý hrubosrstý vendéeský basset, Modrý gaskoňský basset, Německý honič, Plavý bretaňský basset, Švýcarský nízkonohý honič – bernský, luzernský, jurský, schwyzský honič, Bígl-Harrier, Velký hrubosrstý vendéeský basset, Vestfálský jezevčíkovitý honič. ');
}]);
