MyslDenik.controller("forgotPassController", ["$http", "$rootScope", "$scope", "$location", function($http, $rootScope, $scope,  $location) {
  $scope.forgotMsg = "Pro resetování zapomenutého hesla prosím vložte email s kterým jste se registroval";
  $scope.resetPass = function () {
    var username = $scope.loginInput;
    if (!username) {
      $scope.resetPassErrorMsg = "Zadejte email";
      return;
    }

    firebase.auth().sendPasswordResetEmail(username).then(function() {
      $scope.forgotHide = true;
      $scope.forgotMsg = "Na email: " + username + " Vám přišli instrukce pro resetování hesla, poté se zkustě znovu přihlásit";
      $rootScope.$apply();
    }, function(error) {
      if (error.code == "auth/user-not-found") {
        $scope.resetPassErrorMsg = "Učet s tímto emailem neexistuje";
        $rootScope.$apply();
      }
    });
  };
}]);
